#### D.13.2.57 newtonPolytope

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  newtonPolytope(f); f poly

Return:
  polytope, the convex hull of all exponent vectors of f

Example:

    LIB "gfan.lib";
    ring r;
    poly f=x+y+z;
    polytope p=newtonPolytope(f);
    p;
    ==> AMBIENT_DIM
    ==> 3
    ==> INEQUALITIES
    ==> 0,0,0,1,
    ==> 0,0,1,0,
    ==> 0,1,0,0
    ==> EQUATIONS
    ==> 1,-1,-1,-1
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.